Last Comment Bug 735209 - [ICS] Application icon visible on dismissal of the the clipboard action-bar
: [ICS] Application icon visible on dismissal of the the clipboard action-bar
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 14
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
Depends on:
Blocks: 714131
  Show dependency treegraph
 
Reported: 2012-03-13 06:15 PDT by Aaron Train [:aaronmt]
Modified: 2012-06-06 02:11 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
verified
verified


Attachments
Nightly (03/13) Screenshot (128.67 KB, image/png)
2012-03-13 06:15 PDT, Aaron Train [:aaronmt]
no flags Details
Patch (2.49 KB, patch)
2012-03-13 11:47 PDT, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review

Description Aaron Train [:aaronmt] 2012-03-13 06:15:33 PDT
Created attachment 605365 [details]
Nightly (03/13) Screenshot

bug 714131 added a clipboard action-bar. On dismissal of the action-bar one will see the application icon briefly. Is there any way to hide this?

See attached screenshot

--
Samsung Galaxy Nexus (Android 4.0.2)
Nightly (03/13)
Comment 1 Aaron Train [:aaronmt] 2012-03-13 06:31:37 PDT
Perhaps a similar fix from bug 711746 is required?
Comment 2 Sriram Ramasubramanian [:sriram] 2012-03-13 11:47:26 PDT
Created attachment 605468 [details] [diff] [review]
Patch

Android shows a default "action-bar" (which we are hiding in XML) -- which is just like what we see when we set up Sync. To avoid that, we need to inflate a custom (empty) actionbar. Thereby, when clipboard exits, android tries to show default empty action-bar.
Comment 3 Sriram Ramasubramanian [:sriram] 2012-03-13 11:59:25 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/4960666240ee
Comment 4 Ed Morley [:emorley] 2012-03-14 14:39:16 PDT
https://hg.mozilla.org/mozilla-central/rev/4960666240ee
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2012-03-24 09:25:29 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/62a7efdac3dd
Comment 6 Paul Feher 2012-06-06 02:11:25 PDT
The application icon is not present anymore on action-bar dismissal. 
Verified/Fixed on:
Nightly Fennec 16.0a1 (2012-06-05)
Aurora Fennec 14.0a2 (2012-06-04)
Device: Samsung Galaxy Nexus
OS: Android 4.0.2

Note You need to log in before you can comment on or make changes to this bug.